<? $pages_count = ceil($this->count / $this->perPage); ?>

<? $counter = 1;?>
<? if ( count($this->ads) ): ?>
    <div id="ads_list">
    <? if ( count($this->ads) == 1): ?>
        <div class="row">
            <b class="no-found">1 <?= __('ad_found') ?></b>
        </div>
    <? else: ?>
        <div class="row">
            <b class="no-found"><?= $this->count ?> <?= __('ads_found') ?></b>
        </div>
    <? endif; ?>
	<? foreach( $this->ads as $ad ): ?>


        <div class="classified-ad" onclick="ClassifiedAds.view('<?= $ad->id?>')">
            <div class="row">
                <div class="ad-image">
                    <? if ( count($ad->images) ): ?>
                            <? $image = $ad->images[0];?>
                            <? $img = new Cubix_ImagesCommonItem($image);?>
                            <div class="photo">
                                    <img src="<?= $img->getUrl('thumb') ?>" />
                            </div>
                    <? else: ?>
                        <div class="photo">
                            <img src="/img/c-ads/no_photo-2.png" /></a>
                        </div>
                    <? endif; ?>
                </div>
                <div class="ad-info ">
                    <a class="ad-escort-showname" href="#"><?= $ad->title ?></a>
                    <div><i class="ion-calendar"></i>
                        <b><?= __('date');?></b> : <?= (date('d.M.Y', strtotime($ad->approvation_date)) == date('d.M.Y', time())) ? __('today') : date('d M Y', strtotime($ad->approvation_date)); ?></div>
                    <div><b><?= __('id')?></b> : #<?= $ad->id ?> </div>
                    <div><i class="ion-ios-location"></i><b><?= __('city')?></b> : <?= $ad->city_title ?></div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
	<? endforeach; ?>
    </div>
<? else: ?>
	<b class="no-found"><?= __('no_ads_found') ?></b>
<? endif; ?>

<? $pages_count = ceil($this->count / $this->perPage); ?>
<? if( $pages_count != 1 ): ?>
<div class="paging">
	<p>
		<? $pages = $this->paging($this->count, $this->page, $this->perPage); ?>
		<? if ( 1 < $this->page): ?>
		<a class="prev" href="#" onclick="return Filter.Set({ page: ['<?= $this->page - 1 ?>'] })"></a>
		<? endif ?>

		<? foreach ( $pages as $page ): ?>

			<? if ( $this->page == $page ): ?>
			<span><?= $page ?></span>
			<? else: ?>
			<a class="p" href="#" onclick="return Filter.Set({ page: ['<?= $page ?>'] })"><?= $page ?></a>
			<? endif ?>

		<? endforeach ?>

		<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
		...
		<a class="p" href="#" onclick="return Filter.Set({ page: ['<?= $pages_count ?>'] })"><?= $pages_count ?></a>
		<? endif; ?>

		<? if ( $pages_count > $this->page): ?>
		<a class="next" href="" onclick="return Filter.Set({ page: ['<?= $this->page + 1 ?>'] })"></a>
		<? endif ?>
	</p>
</div>
<? endif; ?>